You Are Here: Home»Providers » Internet Security Improvements

Internet Security Improvements

Northeast Delta Dental updated our website on July 1, 2018, to comply with the industry security standards for secure website communication. Transport Layer Security (TLS) is the technology that web browsers utilize for secure encrypted communication to and from webservers.  This change is not specific to just Northeast Delta Dental; the majority of e-commerce, financial, and healthcare businesses are also making the change.

Most modern web browsers currently support the new TLS 1.2 standard and will seamlessly accommodate this security change.  To avoid any issues, Northeast Delta Dental recommends your using the most current versions of Microsoft Internet Explorer 11, Edge, Chrome or Firefox web browsers. As long as you are using one of the below browsers for internet access there should be no issues connecting to Northeast Delta Dental’s website.

TLS 1.2 Compatible Browsers:

  • Internet Explorer:  Version 11.0 and higher
  • Microsoft Edge: All versions 
  • Google Chrome:  Version 30.0 and higher
  • Mozilla Firefox:  Version 27.0 and higher
  • Apple Safari: Version 7.0 and higher
  • Apple IPhone: iOS 5.0 and higher

The update affects users of Microsoft Windows XP and unpatched versions of Windows 7 or Windows 8.1 which utilize outdated versions of Internet Explorer. A supported browser version will be required when connecting to our website.  Consider using this free tool located at https://www.ssllabs.com/ssltest/viewMyClient.html to check your browser  for TLS 1.2 compatibility.